<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
Input Values
    -direcciones: Lista de objetos de tipo PPredioDireccion a consultar
    -rendered: Indica si se muestra o no la tabla
    -title: Título de la tabla
-->
<p:dataTable xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" var="direccion"
             value="#{direcciones}" rendered="#{rendered}">

    <f:facet name="header"> <h:outputText value="#{title}"/></f:facet>

    <p:column>
        <f:facet name="header">Dirección</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{direccion.direccion}" />
    </p:column>

    <p:column>
        <f:facet name="header">Referencia</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{direccion.referencia}" />
    </p:column>

    <p:column>
        <f:facet name="header">Principal</f:facet>
        <h:outputText styleClass="outputTextStyle"
                      value="#{direccion.principal}" />
    </p:column>

</p:dataTable>
